; $Id: dcs_interpoldate.pro,v 1.3 2002/07/13 20:14:57 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
function dcs_interpoldate,dt1,dt2,f
;************************************************************************************************
;
compile_opt strictarr
;
months=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"]
;
d1=strmid(dt1,0,2)
m1=strmid(dt1,3,3)
m1=where(m1 eq months)+1
y1=strmid(dt1,7,4)
h1=strmid(dt1,12,2)
n1=strmid(dt1,15,2)
;
d2=strmid(dt2,0,2)
m2=strmid(dt2,3,3)
m2=where(m2 eq months)+1
y2=strmid(dt2,7,4)
h2=strmid(dt2,12,2)
n2=strmid(dt2,15,2)
;
val1=julday(m1,d1,y1,h1,n1)
val2=julday(m2,d2,y2,h2,n2)
diff=val2-val1
val=val1+f*diff
caldat,val,M,D,Y,H,N
;
return,dcs_clean_date(M[0],D[0],Y[0],H[0],N[0])
end
