;$Id: trifenestra_wrc.pro,v 1.1 2002/04/23 14:47:01 jmspark Exp $
pro trifenestra_wrc, c1, c2, c3, c4, c5, c6, c7, c8, c9 $
	, head=head $
	, format=format

	if  n_elements( c2 ) eq 0 then begin
		message,  'Too few arguments.'
		return
	endif

	if n_elements( c3 ) eq 0 then begin
		data = [ [c1] ]
		dimension = 1
		ofile = c2
		goto, wrc_main
	endif

	if n_elements( c4 ) eq 0 then begin
		data = [ [c1], [c2] ]
		dimension = 2
		ofile = c3
		goto, wrc_main
	endif

	if n_elements( c5 ) eq 0 then begin
		data = [ [c1], [c2], [c3] ]
		dimension = 3
		ofile = c4
		goto, wrc_main
	endif

	if n_elements( c6 ) eq 0 then begin
		data = [ [c1], [c2], [c3], [c4] ]
		dimension = 4
		ofile = c5
		goto, wrc_main
	endif

	if n_elements( c7 ) eq 0 then begin
		data = [ [c1], [c2], [c3], [c4], [c5] ]
		dimension = 5
		ofile = c6
		goto, wrc_main
	endif

	if n_elements( c8 ) eq 0 then begin
		data = [ [c1], [c2], [c3], [c4], [c5], [c6] ]
		dimension = 6
		ofile = c7
		goto, wrc_main
	endif

	if n_elements( c9 ) eq 0 then begin
		data = [ [c1], [c2], [c3], [c4], [c5], [c6], [c7] ]
		dimension = 7
		ofile = c8
		goto, wrc_main
	endif

wrc_main:

	openw, lun, ofile, /get_lun
	if n_elements(head) ne 0 then printf, lun, head

	printf, lun, transpose( data ), format=format

	free_lun, lun

end




pro wrc_old, x,y,dy,ofile,head=head

openw,lun,ofile,/get_lun
if n_elements(head) ne 0 then printf,lun,head
for i=0,n_elements(x)-1 do printf,lun,x(i),y(i),dy(i)
free_lun,lun

end
