;$Id: rescale.pro,v 1.1 2002/04/23 14:47:01 jmspark Exp $
pro rescale,data,normfact,asd=asd 
;---------------------------------------------------------------- 
;|	rescale data to new normalization factor normfact	| 
;|								|
;|	modification :						|
;|		Created by Collin Broholm 2/14/93		|
;|		modified by Seung-Hun Lee 3/30/99		|
;|		 to also handle ASD data			|
;----------------------------------------------------------------

;norm	=	normf(data)
norm	=	data.mon
if norm eq 0 then return

fact	=	normfact/norm
print,'from ~shl/idl/asd/rescale.pro: norm=',norm,'fac=',fact
data.de(*,1)	=	data.de(*,1)*fact
data.de(*,2)	=	data.de(*,2)*fact
if keyword_set(asd) then begin
	data.asd	=	data.asd*fact
	data.dasd	=	data.dasd*fact
end
data.mon	=	normfact

end
